package net.wanji.databus.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "区域详情")
public class AreaDetailVO {

    @ApiModelProperty(value = "区域ID")
    private Integer areaId;
    @ApiModelProperty(value = "路口ID")
    private String crossId;
    @ApiModelProperty(value = "路口名称")
    private String crossName;
    @ApiModelProperty(value = "区域名称")
    private String areaName;
    @ApiModelProperty(value = "信号机编号")
    private String code;
    @ApiModelProperty(value = "厂商简称")
    private String nickName ;
    @ApiModelProperty(value = "信号机型号")
    private String model ;
    @ApiModelProperty(value = "信号机IP/端口")
    private String ipPort ;
    @ApiModelProperty(value = "是否信控路口：1是；0否")
    private Integer isSignal;
    @ApiModelProperty(value = "控制模式：1定周期；2绿波协调；3黄闪；4全红；5关灯；6单点自适应；7全感应；8半感应；9行人过街")
    private Integer controlMode;
    @ApiModelProperty(value = "是否启动优化：1是；0否")
    private Integer isStart;
    @ApiModelProperty(value = "是否下发方案：1是；0否")
    private Integer isSend;

}